# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::SelectionInterfaceExt Class Reference

Provide access to seleciton positions. More...

`#include <selectioninterfaceext.h>`

List of all members.

## Public Member Functions

unsigned int | selectionInterfaceExtNumber () const
virtual int | selStartLine ()=0
virtual int | selStartCol ()=0
virtual int | selEndLine ()=0
virtual int | selEndCol ()=0

## Protected Member Functions

void | setSelectionInterfaceExtDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateSelectionInterfaceExt

## Detailed Description

Provide access to seleciton positions.

This is an interface for the Document class. Mainly here for dcop and the sake of scripting.

Author:
  Anders Lund <anders@alweb.dk>

Definition at line 38 of file selectioninterfaceext.h.

## Member Function Documentation

virtual int KTextEditor::SelectionInterfaceExt::selStartLine | ( |  | ) | `[pure virtual]`

| The selection start line number.

virtual int KTextEditor::SelectionInterfaceExt::selStartCol | ( |  | ) | `[pure virtual]`

| The selection start col.

virtual int KTextEditor::SelectionInterfaceExt::selEndLine | ( |  | ) | `[pure virtual]`

| The selection end line.

virtual int KTextEditor::SelectionInterfaceExt::selEndCol | ( |  | ) | `[pure virtual]`

| The selection end col.

The documentation for this class was generated from the following files:

- selectioninterfaceext.h
- selectioninterfaceext.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:17 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003